package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:ClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:ContractController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:ContractController"],
        beego.ControllerComments{
            Method: "ContractList",
            Router: `/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:EdbInfoCalculateController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:EdbInfoCalculateController"],
        beego.ControllerComments{
            Method: "EdbInfoCalculateItem",
            Router: `/item`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbIndexDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbIndexItem",
            Router: `/item`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:IndexController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:IndexController"],
        beego.ControllerComments{
            Method: "IndexDataList",
            Router: `/data/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:IndexController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:IndexController"],
        beego.ControllerComments{
            Method: "IndexDataPageList",
            Router: `/data/list_page`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_data_push/controllers:IndexController"] = append(beego.GlobalControllerRouter["eta/eta_data_push/controllers:IndexController"],
        beego.ControllerComments{
            Method: "IndexList",
            Router: `/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
